#include <windows.h>
#include "global.h"
#include "type.h"

#define KM_EUC 0
#define KM_SJIS 1
#define KM_ISO 2

HANDLE hstdout,hscreen,haltscreen;
CONSOLE_SCREEN_BUFFER_INFO buffer_info;

#ifdef GLOBAL_DEFINE
GLOBAL int KANJI_MODE=KM_EUC;
GLOBAL int INPUT_KANJI_MODE=KM_EUC;
#else
GLOBAL int KANJI_MODE;
GLOBAL int INPUT_KANJI_MODE;
#endif

// C^[tF[X
void escinit(void);
void escout(uchar);
void escprint(const uchar *);
void escSendSpecialKey(SOCKET,unsigned char,DWORD);
void escSetKanjiMode(int);
void escOutputFlush(void);

// ֐
void outputChar(char);
void outputKanji(int);
void outputFlash(void);
void scrollRect(SMALL_RECT *,int);
void scrollRect2(int,int,int,int,int);
