int jistosjis(unsigned int kanjicode){
    int c1,c2;
    c1=kanjicode>>8;
    c2=(kanjicode & 0xff);
    c1-=0x21;
    if(c1 & 1)c2+=(0x7f-0x21);
    c2+=(0x40-0x21);
    if(c2>=0x7f)c2++;
    c1>>=1;
    c1+=0x81;
    if(c1>=0xa0)c1+=(0xe0-0xa0);
    kanjicode=(c1<<8)|c2;
    return kanjicode;
}

int sjistojis(unsigned int kanjicode){
    unsigned int c1,c2;
//    printf("(sjis=%04X)",kanjicode);
    c1=kanjicode>>8;
    c2=(kanjicode & 0xff);
    if(c1>=0xe0)c1-=(0xe0-0xa0);
    c1-=0x81;
    c1<<=1;
    c1+=0x21;
    if(c2>=0x80)c2--;
    if(c2>=0x9e){
	c1++;
	c2-=(0x9e-0x40);
    }
    c2-=(0x40-0x21);
    kanjicode=(c1<<8)|c2;
//    printf("(jis=%04X)",kanjicode);
    return kanjicode;
}

int issjis1(unsigned int c){
    if(((0x81 <= c) && (c <= 0x9f)) || ((0xe0 <= c) && (c <=0xea)))return 1;
    else return 0;
}

int iskata(unsigned int c){
    if((0xa0 <= c) && (c <= 0xdf))return 1;
    else return 0;
}
